Summary:	Curses client for Music Player Daemon
Summary(pl.UTF-8):	Klient curses dla demona MPD
Name:		ncmpc
Version:	0.49
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	https://www.musicpd.org/download/ncmpc/0/%{name}-%{version}.tar.xz
# Source0-md5:	946ed5d4dd09e90da889b99e199f63da
URL:		http://mpd.wikia.com/wiki/Client:Ncmpc
BuildRequires:	gcc-c++ >= 6:8
BuildRequires:	gettext-tools
BuildRequires:	libmpdclient-devel >= 2.17
BuildRequires:	libstdc++-devel
BuildRequires:	meson >= 0.49
BuildRequires:	ncurses-devel
BuildRequires:	ninja
BuildRequires:	pcre2-8-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sphinx-pdg
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libmpdclient >= 2.17
Suggests:	mpd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ncmpc is a curses client for the Music Player Daemon (MPD). ncmpc
connects to a MPD running on a machine on the local network, and
controls this with an interface inspired by cplay. If ncmpc is used
with lirc and irpty it can be used to manage playlists and control MPD
with a remote control.

%description -l pl.UTF-8
ncmpc to klient curses dla demona MPD (Music Player Daemon). ncmpc
łączy się z MPD działającym na maszynie w sieci lokalnej i steruje nim
przy użyciu interfejsu zainspirowanego programem cplay. Jeśli ncmpc
jest używany z lircem lub irpty, można go używać do zarządzania
playlistami i sterowania MPD za pomocą pilota.

%prep
%setup -q

%{__sed} -i -e '1 s,#!.*env python3,#!%{__python3},' lyrics/*.py
	
%build
%meson build \
	-Dchat_screen=true \
	-Dcolors=true \
	-Ddocumentation=enabled \
	-Dhelp_screen=true \
	-Dkey_screen=true \
	-Dlocale=enabled \
	-Dlyrics_screen=true \
	-Dmanual=true \
	-Dmouse=enabled \
	-Doutputs_screen=true \
	-Dsearch_screen=true \
	-Dsong_screen=true \
	-Dlirc=disabled

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -j1 -C build

rm -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang ncmpc

%clean
rm -rf $RPM_BUILD_ROOT

%files -f ncmpc.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.rst doc/*.sample doc/ncmpc.lirc
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ncmpc
%dir %{_libdir}/ncmpc/lyrics
%attr(755,root,root) %{_libdir}/ncmpc/lyrics/*
%{_mandir}/man1/ncmpc.*
%changelog
* Sun Aug 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ncmpc.git;a=log;h=master

* Sat Aug 05 2023 Jan Palus <atler@pld-linux.org> 9154b99
- up to 0.49

* Fri Apr 07 2023 Jan Palus <atler@pld-linux.org> 4ffb50d
- up to 0.48

* Thu Jun 30 2022 Jan Palus <atler@pld-linux.org> d3b299e
- up to 0.47

* Fri Nov 26 2021 Jan Palus <atler@pld-linux.org> abb5d25
- up to 0.46

* Fri Feb 12 2021 Jan Palus <atler@pld-linux.org> b4b4864
- updated source to https

* Fri Feb 12 2021 Jan Palus <atler@pld-linux.org> 8a9c0a9
- up to 0.45

* Mon Feb 01 2021 Jan Palus <atler@pld-linux.org> 3dbf03b
- up to 0.44

* Wed Jan 27 2021 Jan Palus <atler@pld-linux.org> e7075d8
- updated deprecated meson macros

* Wed Jan 27 2021 Jan Palus <atler@pld-linux.org> 4bf653f
- BRs for tar.xz source

* Wed Jan 27 2021 Jan Palus <atler@pld-linux.org> 9b19c0b
- up to 0.43

* Thu Oct 29 2020 Jan Palus <atler@pld-linux.org> 6119ebb
- up to 0.42

* Fri Oct 16 2020 Jan Palus <atler@pld-linux.org> 258719a
- up to 0.41

* Thu Oct 08 2020 Jan Palus <atler@pld-linux.org> 4b3acae
- up to 0.40

* Fri Aug 21 2020 Jan Palus <atler@pld-linux.org> b4e9e94
- up to 0.39

* Fri May 01 2020 Jan Palus <atler@pld-linux.org> a3409f4
- up to 0.38

* Fri Jan 24 2020 Jan Palus <atler@pld-linux.org> 0d03fc0
- up to 0.37

* Tue Nov 05 2019 Jan Palus <atler@pld-linux.org> c54ed29
- up to 0.36

* Sun Sep 15 2019 Jan Palus <atler@pld-linux.org> 478a727
- up to 0.35

* Fri Apr 19 2019 Jan Palus <atler@pld-linux.org> 5b759f8
- up to 0.34

* Mon Oct 22 2018 Jan Palus <atler@pld-linux.org> 2e627c6
- up to 0.33

